Skip to main content
OnDB Documentation home page
Search...
⌘K
Support
Dashboard
Dashboard
Search...
Navigation
Pricing
Post apipricingquote
Guides
API Reference
Resources
Dashboard
GitHub
llms.txt
SDK Reference
SDK Reference
Client
Query Builder
Database Manager
Types
Health
GET
Health check endpoint with comprehensive system verification GET /health
Applications
GET
List all registered applications from OnDB storage
POST
Updated create application endpoint with financial integration and OnDB storage Requires payment proof via X-PAYMENT header
GET
Get application details GET /api/applications/:app_id
POST
Update creator premium settings for an app
Data Storage
POST
Store blob endpoint - Upload binary data (images, videos, files, etc.) POST /api/apps/:app_id/blobs/:collection
GET
Retrieve blob endpoint GET /api/apps/:app_id/blobs/:collection/:blob_id
POST
Handler for SQL INSERT statements
POST
Store data endpoint - app::collection based only POST /store
Collections
GET
List all collections for an app GET /api/apps/:app_id/collections
POST
Create a new collection POST /api/apps/:app_id/collections
GET
Get a specific collection GET /api/apps/:app_id/collections/:collection_id
DEL
Delete a collection DELETE /api/apps/:app_id/collections/:collection_id
PATCH
Patch apiapps collections
PATCH
Update collection sharding configuration PATCH /api/apps/:app_id/collections/:collection_name/sharding
GET
Auto-generated collection query endpoint GET /api/apps/:app_id/collections/:collection/data
Retention
GET
Get retention configuration for a collection GET /api/apps/:app_id/collections/:collection/retention
POST
Set retention configuration for a collection POST /api/apps/:app_id/collections/:collection/retention
GET
Get retention costs for all collections in an app GET /api/apps/:app_id/retention/cost
Encryption
GET
Get encryption settings for an app GET /api/apps/:app_id/encryption
POST
Update encryption settings for an app (x402 payment flow) POST /api/apps/:app_id/encryption
POST
Get quote for encryption feature changes POST /api/apps/:app_id/encryption/quote
Indexes
GET
Get all indexes for an app GET /api/apps/:app_id/indexes
POST
Create an index for an app POST /api/apps/:app_id/indexes
GET
Get quote for creating an encrypted index (x402 flow) GET /api/apps/:app_id/indexes/encrypted-quote
DEL
Delete an index DELETE /api/apps/:app_id/indexes/:index_id
POST
Create a collection relation and automatically index join fields POST /api/apps/:app_id/relations
API Keys
POST
List all API keys for an app POST /api/apps/:app_id/keys/list
POST
Revoke a specific API key POST /api/apps/:app_id/keys/:key_hash/revoke
POST
Regenerate an app API key (invalidates the old one) Or generate initial key if app doesn't have one yet POST /api/apps/:app_id/regenerate-key
POST
Register a new user API key POST /api/auth/register
Payout
POST
Get payout history POST /api/apps/:app_id/payout/history
POST
Get payout settings and available balance POST /api/apps/:app_id/payout/info
POST
Update payout settings POST /api/apps/:app_id/payout/settings
POST
Trigger a manual payout POST /api/apps/:app_id/payout/trigger
Wallet
GET
Get app wallet information GET /api/apps/:app_id/wallet
GET
Get app wallet transactions GET /api/apps/:app_id/wallet/transactions
Authorization
GET
Get authz transaction history for an app GET /api/authz/transactions/app/:app_id
GET
Get recent authz transactions (admin/monitoring) GET /api/authz/transactions/recent?limit=50
GET
Get authz transaction history for a user GET /api/authz/transactions/:user_address
Pricing
GET
Get current pricing information
POST
Post apipricingquote
Predefined Queries
GET
Execute a predefined query with parameters GET /api/queries/:app_id/:query_name/data
GET
Get Skills.md for discovery (reads from disk) GET /api/skills/:app_id/skills.md
GET
List all predefined queries for an app GET /apps/:app_id/queries
POST
Create a new predefined query POST /apps/:app_id/queries
GET
Get a specific predefined query definition GET /apps/:app_id/queries/:query_name
DEL
Delete a predefined query DELETE /apps/:app_id/queries/:query_name
View Query
GET
GET /api/views/:app_id/:view_name/count Get count of records in view (useful for pagination)
GET
GET /api/views/:app_id/:view_name/data Simple query with URL parameters
POST
POST /api/views/:app_id/:view_name/data Complex query with request body (full Scepter query syntax)
API Collections
GET
List all collections for an app (including API collections) GET /apps/:app_id/api_collections
POST
Create a new API collection POST /apps/:app_id/api_collections
GET
Get API collection details GET /apps/:app_id/api_collections/:collection_name
DEL
Delete API collection DELETE /apps/:app_id/api_collections/:collection_name
Materialized Views
GET
List all materialized views for an app GET /apps/:app_id/views
POST
Create a new materialized view POST /apps/:app_id/views
POST
Handler for SQL CREATE MATERIALIZED VIEW statements
GET
Get a specific materialized view GET /apps/:app_id/views/:view_name
DEL
Delete a materialized view DELETE /apps/:app_id/views/:view_name
POST
Manually refresh a materialized view POST /apps/:app_id/views/:view_name/refresh
Data Query
POST
List records with QueryExecutor POST /list
POST
Handler for SQL queries
Tasks
GET
Get task status by ticket ID GET /api/tasks/:ticket_id
X402 Payment Protocol
POST
POST /x402/settle - Execute and confirm payment
GET
GET /x402/supported - List supported payment schemes
POST
POST /x402/verify - Validate payment without executing
Pricing
Post apipricingquote
Copy page
Copy page
POST
/
api
/
pricing
/
quote
Try it
Body
application/json
The body is of type
any
.
Response
200
application/json
Pricing quote calculated successfully
Get current pricing information
Execute a predefined query with parameters GET /api/queries/:app_id/:query_name/data
⌘I